package entities

import (
	"time"

	"github.com/oklog/ulid/v2"
)

type TimeEntry struct {
	EntityBase
	UserID      int
	ProjectID   int
	ActivityID  int
	Start       time.Time
	End         time.Time
	Description string
	Billable    int // Percentage (0-100)
}

type TimeEntryCreate struct {
	UserID      int
	ProjectID   int
	ActivityID  int
	Start       time.Time
	End         time.Time
	Description string
	Billable    int // Percentage (0-100)
}

type TimeEntryUpdate struct {
	ID          ulid.ULID
	UserID      *int
	ProjectID   *int
	ActivityID  *int
	Start       *time.Time
	End         *time.Time
	Description *string
	Billable    *int // Percentage (0-100)
}
