package entities

import "github.com/oklog/ulid/v2"

type User struct {
	EntityBase
	Username   string
	Password   string
	Role       string
	CompanyID  int
	HourlyRate float64
}

type UserCreate struct {
	Username   string
	Password   string
	Role       string
	CompanyID  int
	HourlyRate float64
}

type UserUpdate struct {
	ID         ulid.ULID
	Username   *string
	Password   *string
	Role       *string
	CompanyID  *int
	HourlyRate *float64
}
