package persistence

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type ActivityDatasource interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.Activity, error)
	Create(ctx context.Context, activity *entities.Activity) error
	Update(ctx context.Context, activity *entities.Activity) error
	Delete(ctx context.Context, id ulid.ULID) error
}
