package persistence

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type UserDatasource interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.User, error)
	Create(ctx context.Context, user *entities.User) error
	Update(ctx context.Context, user *entities.User) error
	Delete(ctx context.Context, id ulid.ULID) error
	GetByUsername(ctx context.Context, username string) (*entities.User, error)
}
