package repositories

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type ActivityRepository interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.Activity, error)
	Create(ctx context.Context, activity *entities.ActivityCreate) error
	Update(ctx context.Context, activity *entities.ActivityUpdate) error
	Delete(ctx context.Context, id ulid.ULID) error
}
