package repositories

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type CompanyRepository interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.Company, error)
	Create(ctx context.Context, company *entities.Company) error
	Update(ctx context.Context, company *entities.Company) error
	Delete(ctx context.Context, id ulid.ULID) error
}
