package repositories

import (
	"context"

	"github.com/oklog/ulid/v2"
	"github.com/timetracker/backend/internal/domain/entities"
)

type ProjectRepository interface {
	Get(ctx context.Context, id ulid.ULID) (*entities.Project, error)
	Create(ctx context.Context, project *entities.Project) error
	Update(ctx context.Context, project *entities.Project) error
	Delete(ctx context.Context, id ulid.ULID) error
}
