package dbo

import (
	"time"

	"github.com/oklog/ulid/v2"
	"gorm.io/gorm"
)

type TimeEntryDBO struct {
	gorm.Model
	ID           ulid.ULID `gorm:"primaryKey;type:uuid"`
	CreatedAt    time.Time `gorm:"not null"`
	UpdatedAt    time.Time `gorm:"not null"`
	LastEditorID ulid.ULID
	UserID       int
	ProjectID    int
	ActivityID   int
	Start        time.Time
	End          time.Time
	Description  string
	Billable     int // Percentage (0-100)
}
