package dto

import (
	"time"

	"github.com/oklog/ulid/v2"
)

type ActivityDto struct {
	ID           ulid.ULID `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID ulid.ULID `json:"lastEditorID"`
	Name         string    `json:"name"`
	BillingRate  float64   `json:"billingRate"`
}

type ActivityCreateDto struct {
	Name        string  `json:"name"`
	BillingRate float64 `json:"billingRate"`
}

type ActivityUpdateDto struct {
	ID           ulid.ULID  `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *ulid.ULID `json:"lastEditorID"`
	Name         *string    `json:"name"`
	BillingRate  *float64   `json:"billingRate"`
}
