package dto

import (
	"time"

	"github.com/oklog/ulid/v2"
)

type CompanyDto struct {
	ID           ulid.ULID `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID ulid.ULID `json:"lastEditorID"`
	Name         string    `json:"name"`
}

type CompanyCreateDto struct {
	Name string `json:"name"`
}

type CompanyUpdateDto struct {
	ID           ulid.ULID  `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *ulid.ULID `json:"lastEditorID"`
	Name         *string    `json:"name"`
}
