package dto

import (
	"time"

	"github.com/oklog/ulid/v2"
)

type CustomerDto struct {
	ID           ulid.ULID `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID ulid.ULID `json:"lastEditorID"`
	Name         string    `json:"name"`
	CompanyID    int       `json:"companyId"`
}

type CustomerCreateDto struct {
	Name      string `json:"name"`
	CompanyID int    `json:"companyId"`
}

type CustomerUpdateDto struct {
	ID           ulid.ULID  `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *ulid.ULID `json:"lastEditorID"`
	Name         *string    `json:"name"`
	CompanyID    *int       `json:"companyId"`
}
