package dto

import (
	"time"

	"github.com/oklog/ulid/v2"
)

type ProjectDto struct {
	ID           ulid.ULID `json:"id"`
	CreatedAt    time.Time `json:"createdAt"`
	UpdatedAt    time.Time `json:"updatedAt"`
	LastEditorID ulid.ULID `json:"lastEditorID"`
	Name         string    `json:"name"`
	CustomerID   int       `json:"customerId"`
}

type ProjectCreateDto struct {
	Name       string `json:"name"`
	CustomerID int    `json:"customerId"`
}

type ProjectUpdateDto struct {
	ID           ulid.ULID  `json:"id"`
	CreatedAt    *time.Time `json:"createdAt"`
	UpdatedAt    *time.Time `json:"updatedAt"`
	LastEditorID *ulid.ULID `json:"lastEditorID"`
	Name         *string    `json:"name"`
	CustomerID   *int       `json:"customerId"`
}
