# Domain Types

This document describes the domain types used in the Time Tracker application. Domain types represent the core business concepts and are used throughout the application.

## Activity

The `Activity` type represents a specific activity that can be tracked, such as "Development", "Meeting", or "Bug Fixing".

## Company

The `Company` type represents a tenant in the multi-tenant application. Each company has its own set of users, customers, projects, and activities.

## Customer

The `Customer` type represents a customer of a company.

## Project

The `Project` type represents a project for a specific customer.

## TimeEntry

The `TimeEntry` type represents a time booking for a specific user, project, and activity.

## User

The `User` type represents a user of the application. Each user belongs to a company and has a specific role.
